跳至內容

Cohere Transcribe

整合

模型 id cohere-transcribe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.001 1 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Cohere 語音轉文字 #speech#transcribe#stt

支援 14 種可選語言並可選擇關閉標點符號的語音轉文字模型

Cohere · 文字

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 audio_url
拖放檔案,或

用於轉錄的音訊檔案 URL。接受的格式包括 flac、ogg、webm、wav、m4a、mpga、mpeg、mp4 和 mp3。

進階 language · max_new_tokens · punctuation
預設 en

使用下列 ISO 639-1 代碼之一識別音訊語言:en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi、ar。

預設 256

每個音訊區塊的 Token 生成上限。

POST /run/cohere-transcribe?wait=20 報價 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Cohere Transcribe

將 `audio_url` 的音訊檔案(mp3、mp4、mpeg、mpga、m4a、wav、webm、ogg 或 flac)轉錄為文字。`language` 接受 en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi 或 ar,預設為 en。可關閉 `punctuation`,`max_new_tokens`(1 到 1014)限制每個音訊區塊的輸出。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
audio_url必填 audio
類型url · audio
用於轉錄的音訊檔案 URL。接受的格式包括 flac、ogg、webm、wav、m4a、mpga、mpeg、mp4 和 mp3。
language選填
類型enum
預設值en
enfrdeitesptelnlplzhjakoviar
使用下列 ISO 639-1 代碼之一識別音訊語言:en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi、ar。
punctuation選填
類型boolean
預設值true
控制輸出文字是否包含大小寫和標點符號。
max_new_tokens選填
類型integer
預設值256
1 – 1,014
每個音訊區塊的 Token 生成上限。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cohere-transcribe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "text": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
text
string從音訊檔案轉錄取得的文字。
timings
object效能計時細分資訊,以秒測量。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/cohere-transcribe.md. 所有模型與指南: https://doitong.com/developers/llms.txt